#
# spec file for package scanlogd (Version 2.2.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnet libnids libnscd libpcap libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           scanlogd
BuildRequires:  libnet libnids libpcap
License:        distributable, Other License(s), see package
URL:            http://www.openwall.com/scanlogd/
Group:          Productivity/Networking/Diagnostic
PreReq:         %insserv_prereq %fillup_prereq
Autoreqprov:    on
Version:        2.2.5
Release:        19.2
Summary:        Detects and Logs Port Scans
Source0:        http://www.openwall.com/scanlogd/%{name}-%{version}.tar.gz
Source1:        README
Source2:        rc.scanlogd
Source3:        sysconfig.scanlogd
Patch:          scanlogd-%{version}.dif
Patch1:         scanlogd-interface.patch
Patch2:         scanlogd-CLK_TCK.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This daemon is able to detect and log port scans aimed at its host.



Authors:
--------
    Solar Designer <solar@false.com>

%debug_package
%prep
%setup
%patch -p1
%patch1
%patch2

%build
make libnids CFLAGS="-c $RPM_OPT_FLAGS"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 755 scanlogd $RPM_BUILD_ROOT/usr/sbin
install -m 644 scanlogd.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d/scanlogd
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 755 -d $RPM_BUILD_ROOT/var/lib/scanlogd
ln -fs ../../etc/init.d/scanlogd $RPM_BUILD_ROOT/usr/sbin/rcscanlogd
install -m 644 $RPM_SOURCE_DIR/README $RPM_BUILD_ROOT%{_docdir}/%{name}

%post
%{fillup_and_insserv scanlogd}

%postun
%{insserv_cleanup}

%files
%defattr(-, root, root)
%doc %{_mandir}/man8/scanlogd.8.gz
%doc %{_docdir}/%{name}
/etc/init.d/scanlogd
/usr/sbin/rcscanlogd
/usr/sbin/scanlogd
/var/lib/scanlogd
/var/adm/fillup-templates/*

%changelog -n scanlogd
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 - ro@suse.de
- define CLK_TCK if not defined
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Fri Jun 17 2005 - meissner@suse.de
- use RPM_OPT_FLAGS.
* Tue Jan 18 2005 - rommel@suse.de
- added support for selecting the monitored network device (Bug #48490)
* Sat Aug 07 2004 - rommel@suse.de
- update to version 2.2.5
- added empty chroot directory (/var/lib/scanlogd)
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Aug 16 2002 - rommel@suse.de
- added PreReq:
* Sat Jul 27 2002 - adrian@suse.de
- do not source rc.config anymore
* Fri Jul 05 2002 - rommel@suse.de
- after going into daemon mode, the child process now detaches from
  the terminal
- scanlogd now runs as user "nobody" ("firewall" was dropped )
* Thu Dec 20 2001 - grimmer@suse.de
- removed rc.config entry START_SCANLOGD and reworked init script
  and spec file to reflect this change
- use CFLAGS for compilation
- removed "-o root -g root" from the file installs to enable
  building as a regular user, too (ownerships are being set in
  the file list anyway)
* Thu Apr 19 2001 - grimmer@suse.de
- Updated init file according to new skeleton
* Fri Dec 15 2000 - grimmer@suse.de
- init script fixes (added $remote_fs to Required-Start, removed
  run level 2 from Default-Start, added check if binary exists)
* Tue Nov 28 2000 - grimmer@suse.de
- fixed path names in insserv calls
* Tue Nov 28 2000 - grimmer@suse.de
- moved init script from /sbin/init.d to /etc/init.d for
  LSB conformance
- use system facility names ($network, $syslog) in init
  script now (according to LSB spec)
* Fri Nov 24 2000 - grimmer@suse.de
- added missing README to file list
* Thu Nov 23 2000 - grimmer@suse.de
- reworked init script to follow new init scheme
- revomed rc-files from patch and added them as additional sources
  instead
* Thu Nov 16 2000 - grimmer@suse.de
- Update to version 2.2, now using libnids
* Fri Mar 24 2000 - grimmer@suse.de
- update to version 2.0
- added BuildRoot
* Thu Feb 17 2000 - grimmer@suse.de
- use version macro in spec file
- use mandir macro in spec file
* Thu Dec 16 1999 - grimmer@suse.de
- changed START_SCANLOGD from "yes" to "no" by default
* Tue Dec 07 1999 - grimmer@suse.de
- added new version of manpage (includes corrections from
  Solar Designer)
- created new tarball
* Thu Dec 02 1999 - grimmer@suse.de
- added man page (thanks to Steffen Dettmer <steffen@dett.de>
  and Martin Stark <Martin.Stark@rz-online.de>
- created subdirectory and created new tar ball
- spec file changes (due to above changes)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Mar 18 1999 - uli@suse.de
- new package, version 1.3
